// TActuators.cpp: implementation of the TActuators class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "TObject.h"
#include "TActuators.h"
#include "TCommonNeuroConsts.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

TActuators::TActuators()
{

}

TActuators::~TActuators()
{

}

void TActuators::move( TControlSet &controlSet )
{
   if( controlSet.doorsCmd != UNDEFINED ) 
      object.elev.setDoorsCmd( controlSet.doorsCmd );
   if( controlSet.elevCmd  != UNDEFINED ) 
      object.elev.setCmd( controlSet.elevCmd );
   if( controlSet.elevTask != UNDEFINED ) 
      object.elev.setTask( controlSet.elevTask );
}

